Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.eway
Interface EwayActivationSpec

public interface EwayActivationSpec

Interface for eWay activation.

Version:
  $Version$
Author:
  $Author: kgambrel $

Method Summary
`void` | `endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory mef, STCPropertiesInfo ari)` Activate eWay endpoint.
`void` | `endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)` Deactivate (terminate) eWay endpoint.
`javax.transaction.xa.XAResource` | `getXAResource()` Get the XAResource from the current active eWay endpoint.
`void` | `initialize(javax.resource.spi.BootstrapContext bc)` Initialize the EwayActivationSpec instance.
`void` | `validate(STCPropertiesInfo ari)` Validate the activation request information used to create an eWay endpoint activation.

Method Detail

### initialize

    public void initialize(javax.resource.spi.BootstrapContext bc)

  Initialize the EwayActivationSpec instance.

  Parameters:
    `bc` - The BootstrapContext provided by the container.

### validate

    public void validate(STCPropertiesInfo ari)
                  throws javax.resource.spi.InvalidPropertyException

  Validate the activation request information used to create an eWay endpoint activation.

  Parameters:
    `ari` - The STCPropertiesInfo which contains the properties for createing an eWay endpoint activation.
  Throws:
    `javax.resource.spi.InvalidPropertyException` - if one or more of the properties is invalid.

### endpointActivation

    public void endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory mef,
                                   STCPropertiesInfo ari)
                            throws javax.resource.NotSupportedException

  Activate eWay endpoint.

  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.
    `ari` - The instance of STCPropertiesInfo which contains the information for creating an endpoint activation.
  Throws:
    `javax.resource.NotSupportedException` - upon error.

### endpointDeactivation

    public void endpointDeactivation(javax.resource.spi.endpoint.MessageEndpointFactory mef)

  Deactivate (terminate) eWay endpoint.

  Parameters:
    `mef` - The MessageEndpointFactory assoicated with the activation.

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws javax.resource.ResourceException

  Get the XAResource from the current active eWay endpoint.

  Returns:
    An XAResource from the active eWay endpoint connection.
  Throws:
    `javax.resource.ResourceException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD